跳到内容
Esc
↑↓导航↵打开⌘J预览

Update a template

PATCH/templates/{id}
授权
AuthorizationBearer 令牌 · header必填

A BillionSend API key (bs_…).

路径参数
idstring必填

Template id or alias

最小长度 1
请求体
application/json
namestring
最小长度 1 · 最大长度 200
subjectstring | null

"" or null clears the subject

最大长度 998
htmlstring
最小长度 1 · 最大长度 500000
textstring | null
最大长度 500000
aliasstring | null

null clears the alias

最小长度 1 · 最大长度 100 · 匹配 ^[A-Za-z0-9][A-Za-z0-9._-]*$
fromstring | null

Not supported: any value is a 422

reply_tostring | string[] | null

Not supported: any value is a 422

显示属性
任意项:
string
string
string[]
string 数组
string
null
null
variablesany[]

Not supported: a non-empty list is a 422

响应
200

Template updated (live immediately)

objectstring必填
允许值:template
idstring<uuid>必填
401

Missing, malformed, unknown or revoked API key

statusCodenumber必填
namestring必填
messagestring必填
404

Not found

statusCodenumber必填
namestring必填
messagestring必填
409

Alias already in use

statusCodenumber必填
namestring必填
messagestring必填
422

Validation error, including from/reply_to/variables (not supported)

statusCodenumber必填
namestring必填
messagestring必填
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumber必填
namestring必填
messagestring必填
试一试
服务器
授权
参数
请求体application/json
请求
curl -X PATCH 'https://api.billionsend.com/templates/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "subject": "string",
  "html": "string",
  "text": "string",
  "alias": "string",
  "from": "string",
  "reply_to": "string",
  "variables": [
    null
  ]
}'
响应
{
  "object": "template",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

这个页面有帮助吗?